/* Author: yangzeming
* Date: 2014-1-10
* Desc: 导航组件 模块化遵循CMD规范 _.Class()定义类的规范化方式
*       组件化遵循基本的接口约定：
*       传入的参数：option = {
con : $ | dom,  //传入的dom容器
template : "[String]", // 渲染的模板
theme : "",    // 皮肤
data : [],
                                    
}

initial : 初始化方法
render ： 渲染

*/
define("component/nav",[],function (require, exports, module) {
    function initNav(option) {
        var $con = $(option.con);
        $con.find('[data-role]').removeClass('on').end().find('[data-role="' + option.curpage + '"]').addClass("on");
    }
    exports.initNav = initNav;

});